Jump to content

Entware-3x. Проблемы с установкой, настройки...


Recommended Posts

37 минут назад, TheBB сказал:

просьба уточнить: сервер не запускался вообще? просто предупреждение вылезало, а сервер стартовал? или ещё что-то?

Не запускался. Честно говоря не усмотрел что выводило при попытке запуска (запускал через web-ui), но при тестировании конфига выводилось то что я прислал выше.

Edited by Lordmaster
Link to comment
Share on other sites

Использую collectd и несколько плагинов для него.

После последнего обновления от 25.12.2017 перестал работать плагин collectd-mod-exec. Т.е. он запускается и ошибок в логах никаких нет, но вот скрипты из конфига collectd для этого плагина не стартуют и в списке исполняемых не появляются. Кусок конфига collectd:

LoadPlugin exec                                           
<Plugin exec>                                             
    Exec "nobody" "/opt/etc/collectd/scripts/wifi-clients"
</Plugin>                                                 

С предыдущей версией collectd-mod-exec все работает, как прежде. Заменил файл /opt/lib/collectd/exec.so из бэкапа от прежней версии, проблем не наблюдаю. Скрипт запускается и статистику для collectd собирает:

root@APG3:/opt/lib/collectd# ps|grep wifi|grep -v grep
 5825 nobody    3568 S    {wifi-clients} /opt/bin/sh /opt/etc/collectd/scripts/wifi-clients

 

Link to comment
Share on other sites

В 28.12.2017 в 14:07, gvan сказал:

Заменил файл /opt/lib/collectd/exec.so из бэкапа

Вот так со временем и получают убитую установку Entware. В таких случаях нужно начать с reinstall всех библиотекю Как это делать - недавно в очередной раз писал.

Link to comment
Share on other sites

7 минут назад, Sergey Zozulya сказал:

Этот reinstall добавить бы куда-нибудь жирным, а не ссылкой на другой форум.

Entware устанавливают не только на кинетики. На кинетики приходится пара процентов всех установок Entware. Ссылка дана на основной форум, где обсуждается Entware.

Link to comment
Share on other sites

В 28.12.2017 в 14:07, gvan сказал:

После последнего обновления...

он (пакет), не должен был обновиться, т.к. в него, при переносе, попала зависимость от несуществующего пакета (из др. проекта). пакет пересобран (без поднятия версии) и перезалит.

пришлось проводить зачистку на "сборочном" ПК (HDD на 1ТВ забит был по самое...) от "лишних сборок" и прочего хлама (ок. 500 GB) )))

  • Upvote 1
Link to comment
Share on other sites

В 31.12.2017 в 14:44, TheBB сказал:

он (пакет), не должен был обновиться, т.к. в него, при переносе, попала зависимость от несуществующего пакета (из др. проекта). пакет пересобран (без поднятия версии) и перезалит.

Переустановил полностью пакет collectd и его плагины. Теперь всё работает. Модуль exec запускает скрипт, как и прежде.

Единственно, при новой установке collectd вылезло следующее сообщение:

Collected errors:
 * satisfy_dependencies_for: Cannot satisfy the following dependencies for collectd:
 *      libip4tc *

Но при этом сам пакет установился и работает. 

Не исключаю ситуации, что это какой-то мой локальный глюк, т.к. изначально collectd (когда его еще не было в пакетах) ставил самосборный и из локальных файлов. Возможно, остались какие-то "хвосты" в системе, т.к. entware-3x не переустанавливал с самого начала. 

Link to comment
Share on other sites

3 минуты назад, gvan сказал:

Единственно, при новой установке collectd вылезло следующее сообщение

не должно

Скрытый текст

 


0 ✓ root ~ # opkg update
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/Packages.gz
Updated list of available packages in /opt/var/opkg-lists/keen3x
0 ✓ root ~ # opkg install collectd
Installing collectd (5.8.0-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/collectd_5.8.0-1_mipsel-3x.ipk
Installing libgcrypt (1.6.6-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libgcrypt_1.6.6-1_mipsel-3x.ipk
Installing libgpg-error (1.27-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/libgpg-error_1.27-1_mipsel-3x.ipk
Configuring libgpg-error.
Configuring libgcrypt.
Configuring collectd.
0 ✓ root ~ # opkg install collectd-mod-exec
Installing collectd-mod-exec (5.8.0-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/collectd-mod-exec_5.8.0-1_mipsel-3x.ipk
Configuring collectd-mod-exec.
0 ✓ root ~ # 

 

 

  • Upvote 1
Link to comment
Share on other sites

В 01.01.2018 в 20:08, TheBB сказал:

не должно

Проверил еще раз. Внимательно удалил collectd, всего его модули и зависимости. Поставил заново. Ошибок не было. Спасибо.

Видимо, в предыдущий раз что-то упустил...

Link to comment
Share on other sites

Настроил доступ к вебморде на 80 порту, ибо только так работает приложение на телефоне. Теперь не могу организовать доступ к вебморде из интернета, так как на 80 порту сидит вебсервер. Перенаправить порт на роутер (например 8080:80) не могу, так как в устройстве назначения нет роутера) Пробовал проксировать вебморду через апач, как остальные веб приложения :

	# Проксирование на '/keenetic/', at my.keenetic.net:80
	#ProxyPass "/keenetic/" "http://my.keenetic.net/" connectiontimeout=5 timeout=30 keepalive=on
	#ProxyPassReverse "/keenetic/" "http://my.keenetic.net/"

Но страничка не открывается. Как ещё можно перенаправить порт именно на кинетик? Прошивка 2.11.B.0.0-0, Entware3x

Link to comment
Share on other sites

3 минуты назад, Floppik сказал:

Как ещё можно перенаправить порт именно на кинетик?

А какое это имеет отношение к Entware? Изучайте cli или iptables.

Link to comment
Share on other sites

Таки вкорячил entware на Omni II, вот только процесс инициализации установщика запустился раза эдак с 6-го или 7-го. Во внешних пакетах OPKG жал "применить", выжидал ответной реакции в логе пару минут и не получая никакой реакции, кроме строчки о сохранении конфигурации жал снова. Когда мне это надоело, начал снимать галку "включить" и стал жать "применить" (паузы в 2 минуты я так же выдерживал) с тем же эффектом (правда почему-то после нажатия "применить" галка "включить" снова возвращалась на место), после n-го нажатия установщик таки завёлся. Теперь вопрос - кто-нибудь в курсе, что это могло быть ? Косяк в прошивке ?

Zyxmon писал, что при таких проблемах рекомендуют сбросить opkg настройки через cli (telnet). Подскажите команды, которыми можно осуществить сброс.

Link to comment
Share on other sites

Ultra II. Скрипты в wan.d дергаются строго каждые полчаса, причем, в ровное время (15:00, 15:30...). На WAN два подключения, оба IPoE. Куда покопать?..

Link to comment
Share on other sites

48 минут назад, zyxmon сказал:

Прекратите offtopic!

я пришел отсюда

 

Мой вопрос не по работе конкретных скриптов, а по работе Entware

Link to comment
Share on other sites

1 минуту назад, Geont сказал:

Мой вопрос не по работе конкретных скриптов, а по работе Entware

И что не работает? Хуки скрипты - это часть прошивки. Обратитесь к разработчикам прошивки - https://github.com/ndmsystems/packages/wiki/Opkg-Component#ndmwand

В этой теме задавайте вопросы разработчикам Entware.

Link to comment
Share on other sites

1 час назад, Geont сказал:

Ultra II. Скрипты в wan.d дергаются строго каждые полчаса, причем, в ровное время (15:00, 15:30...). На WAN два подключения, оба IPoE. Куда покопать?..

Off: Значит у вас аренда ip 1 час. Скрипт дергается на каждом продлении аренды адреса. Так что все корректно. 

Link to comment
Share on other sites

17 минут назад, r13 сказал:

Скрипт дергается на каждом продлении аренды адреса. Так что все корректно. 

Раньше он вообще по 100 раз за минуту дергался. К Entware это отношения не имеет. Об этом тут разработчики прошивки писали.....

Link to comment
Share on other sites

6 часов назад, Geont сказал:

Ultra II. Скрипты в wan.d дергаются строго каждые полчаса, причем, в ровное время (15:00, 15:30...). На WAN два подключения, оба IPoE. Куда покопать?..

При каждом обновлении DHCP Lease он дергается.

Это врядли будет исправлено, особенно учитывая что "проблемы"-то и нет.

Делайте свои скрипты идемпотентными - универсальное правило.

  • Upvote 1
Link to comment
Share on other sites

В 25.12.2017 в 19:24, Lordmaster сказал:

После обновления репозитория не стартует lighttpd...

В owrt модуль `mod_openssl` включен в состав основного пакета (lighttpd). Останавливайте сервер, удаляйте этот модуль (`opkg remove ...`), обновляйте пакеты... Должно всё работать )))

  • Thanks 1
Link to comment
Share on other sites

14 минуты назад, TheBB сказал:

В owrt модуль `mod_openssl` включен в состав основного пакета (lighttpd). Останавливайте сервер, удаляйте этот модуль (`opkg remove ...`), обновляйте пакеты... Должно всё работать )))

Работает! Спасибо за помощь!

Link to comment
Share on other sites

Может кто-то пояснить .... до "крайнего" обновления от 25/12/17 Прекрасно работало

pip install psutil

Сейчас .. только через

opkg install python-psutil

Аналогично с gevent, requests  ... ну и т.д. Решаемо ли ? Как обновлять без pip ? Пробовал "под развлечься" python3 ... но !  Так "остро" необходимых мне пакетов psutil и gevent через opkg install - нет .... через pip3 install точно такая же ошибка как и с pip :(

Link to comment
Share on other sites

@Dorik1972 у Вас же не проблема с установкой Entware (заголовок темы). Так что прекращаем offtopic и открываем отдельную тему по установке python модулей.

PS Перед использованием pip (в wiki написано) рекомендуется выполнить `pip install --upgrade pip setuptools`. Если при операции выдает ошибку приводите ее полностью.

PPS По wiki сделал (на arm железке), все работает

opkg install python-pip
pip install --upgrade pip setuptools
opkg install gcc
opkg install make patch coreutils-install
opkg install python-dev --force-overwrite
wget -qO- http://entware-3x.zyxmon.org/binaries/ВАША_АРХИТЕКТУРА/include/include.tar.gz | tar xvz -C /opt/include
pip install psutil

 

Link to comment
Share on other sites

1 час назад, zyxmon сказал:

@Dorik1972 у Вас же не проблема с установкой Entware (заголовок темы). Так что прекращаем offtopic и открываем отдельную тему по установке python модулей.

PS Перед использованием pip (в wiki написано) рекомендуется выполнить `pip install --upgrade pip setuptools`. Если при операции выдает ошибку приводите ее полностью.

PPS По wiki сделал (на arm железке), все работает


opkg install python-pip
pip install --upgrade pip setuptools
opkg install gcc
opkg install make patch coreutils-install
opkg install python-dev --force-overwrite
wget -qO- http://entware-3x.zyxmon.org/binaries/ВАША_АРХИТЕКТУРА/include/include.tar.gz | tar xvz -C /opt/include
pip install psutil

 

На arm железяке и у меня работает ..... речь шла о мипселе, забыл упомянуть :) И желательно для python3  ....  ладно буду ковырять ... разберусь. СПС

p.s. Вопрос снят ... победил .... 

Edited by Dorik1972
Link to comment
Share on other sites

53 минуты назад, Dorik1972 сказал:

речь шла о мипселе

И на мипселе работает

~ # pip install psutil
Collecting psutil
  Downloading psutil-5.4.3.tar.gz (412kB)
    100% |████████████████████████████████| 419kB 126kB/s 
Installing collected packages: psutil
  Running setup.py install for psutil ... done
Successfully installed psutil-5.4.3

 

Link to comment
Share on other sites

  • 2 weeks later...
Цитата

сменился пароль для первого входа на свежеустановленной системе со слова из 5-и букв, начинающегося на `z`, на слово из 8-ми букв (подсказка: первая буква - `k`)

А в логе продолжает предлагать зайти под 5-буквенным

  • Thanks 1
Link to comment
Share on other sites

инсталлер ещё не перезалит, но opt-ndmsv2 уже обновлён... сейчас всё поправим ))) да, актуально ТОЛЬКО для Entware-3x, для Entware-Keenetic всё останется, как и было

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...